diff -Naur asterisk/apps/app_read.c asterisk-trev/apps/app_read.c
--- asterisk/apps/app_read.c    2004-09-01 22:38:21.000000000 -0700
+++ asterisk-trev/apps/app_read.c       2004-09-01 22:40:58.000000000 -0700
@@ -103,9 +103,12 @@
        if (!res) {
                ast_stopstream(chan);
                res = ast_app_getdata(chan, filename, tmp, maxdigits, 0);
-               if (res > -1)
+               if (res > -1) {
                        pbx_builtin_setvar_helper(chan, varname, tmp);
-               ast_verbose(VERBOSE_PREFIX_3 "User entered '%s'\n", tmp);
+                       ast_verbose(VERBOSE_PREFIX_3 "User entered '%s'\n", tmp);
+               } else {
+                       ast_verbose(VERBOSE_PREFIX_3 "User entered nothing");
+               }
        }
        LOCAL_USER_REMOVE(u);
        return res;
